GDCM 2.2.1

- Main Page
- Related Pages
- Namespaces
- Classes
- Files
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | List of all members
gdcm::Decoder Class Referenceabstract

Decoder. More...

`#include <gdcmDecoder.h>`

Inheritance diagram for gdcm::Decoder:
[legend]

## Public Member Functions

virtual | ~Decoder ()
virtual bool | CanDecode (TransferSyntax const &) const =0
| Return whether this decoder support this transfer syntax (can decode it)
virtual bool | Decode (DataElement const &, DataElement &)
| Decode.

## Protected Member Functions

virtual bool | DecodeByStreams (std::istream &, std::ostream &)

## Detailed Description

Decoder.

## Constructor & Destructor Documentation

virtual gdcm::Decoder::~Decoder | ( |  | ) |

inlinevirtual

## Member Function Documentation

virtual bool gdcm::Decoder::CanDecode | ( | TransferSyntax const & |  | ) | const

pure virtual

Return whether this decoder support this transfer syntax (can decode it)

Implemented in gdcm::JPEGCodec, gdcm::RLECodec, gdcm::PVRGCodec, gdcm::JPEG2000Codec, gdcm::ImageCodec, gdcm::JPEGLSCodec, gdcm::PNMCodec, gdcm::RAWCodec, gdcm::AudioCodec, gdcm::PDFCodec, gdcm::PGXCodec, and gdcm::KAKADUCodec.

virtual bool gdcm::Decoder::Decode | ( | DataElement const & | ,
|  | DataElement & |
| ) |  |

inlinevirtual

Decode.

Reimplemented in gdcm::JPEGCodec, gdcm::RLECodec, gdcm::JPEGLSCodec, gdcm::PVRGCodec, gdcm::JPEG2000Codec, gdcm::ImageCodec, gdcm::DeltaEncodingCodec, gdcm::KAKADUCodec, gdcm::RAWCodec, gdcm::AudioCodec, and gdcm::PDFCodec.

virtual bool gdcm::Decoder::DecodeByStreams | ( | std::istream & | ,
|  | std::ostream & |
| ) |  |

inlineprotectedvirtual

Reimplemented in gdcm::JPEGCodec, gdcm::JPEG2000Codec, gdcm::RLECodec, gdcm::ImageCodec, gdcm::RAWCodec, gdcm::JPEG12Codec, gdcm::JPEG16Codec, and gdcm::JPEG8Codec.

The documentation for this class was generated from the following file:

- gdcmDecoder.h